/* TAGLINE */
body .taglineoverlay {
  position: absolute;
  bottom: 0;
  right: 0;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
  padding: 0 9vw 10vh 9vw;
  color: #fff;
  text-shadow: 0 1px 6px rgba(0, 0, 0, 0.25);

  .fixed {
    order: 2;
    font-family: var(--font-normal);
    font-weight: 700;
    text-transform: uppercase;
    font-size: calc(var(--fs4) + 2px);
    line-height: 1.5em;
    letter-spacing: 0.03em;
    margin: 0;
  }

  .taglines {
    order: 1;
    position: relative;
    margin-bottom: 20px;

    .tagline {
      .taglineinner {
        .title {
          font-family: var(--font-cursive);
          font-weight: 400;
          font-size: clamp(3.5rem, 9vw, 7.5rem);
          line-height: 1;
        }
      }

    }

  }
}

/* QUICK LINKS */
body section.quicklinks {
  padding: 35px 35px 120px 35px !important;

  &>div.Grid>ul {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 23px;
    flex-wrap: wrap;

    &>li {
      flex: 1 1 auto;
      border-radius: 10px;
      overflow: hidden;
      min-width: 250px;
      max-width: 400px;

      &>.Item .ItemInner {
        background-color: transparent;

        &>.Title {
          position: absolute;
          left: 0;
          top: 50%;
          transform: translateY(-50%);
          transition: 0.4s;
          text-align: center;
          width: 100%;
          font-size: 20px;
        }

        &>.ItemIcon {
          position: absolute;
          left: 50%;
          bottom: 80px;
          top: auto;
          transform: translateX(-50%);
          width: fit-content;
          height: fit-content;
          background-color: transparent;
          opacity: 0;
          transition: 0.4s;

          &::before {
            content: 'Find Out More';
            font-family: var(--font-cursive);
            font-size: 27px;
            color: white;
          }
        }

        &::before {
          content: '';
          position: absolute;
          width: 100%;
          height: 100%;
          opacity: 0.6;
          background-color: var(--item-color);
          left: 0;
          top: 0;
          transition: 0.4s;
        }

        &:hover {
          &>.ItemIcon {
            opacity: 1;
          }

          &>.Title {
            top: calc(50% - 20px);
          }
        }
      }
    }
  }
}

/* HOMEWELCOME */
.welcomewrapper {
  position: relative;

  section.homewelcome {
    z-index: 1;
    padding-bottom: 105px;

    div.Welcome {
      position: relative;
      z-index: 1;

      div.WelcomeFlex {
        max-width: var(--welcome-max-width);
        padding-left: min((var(--welcome-max-width) / 5)*2, 40%);
        padding-right: 20px;
        position: relative;
        z-index: 1;

        &>label {
          flex: 0 0 auto;
          background-color: transparent;
          font-size: 14px;
          font-weight: 600;
          letter-spacing: 0.04em;
          text-transform: uppercase;
          color: rgb(var(--color4));
          position: relative;
          padding: 0 10px;

          &:nth-child(2) {
            margin-left: 40px;
          }

          &:last-of-type {
            &::before {
              display: none !important;
            }
          }

          &::before {
            content: '';
            position: absolute;
            width: 2px;
            height: 16px;
            right: -1px;
            top: 2px;
            display: block !important;
            background-color: rgb(var(--color4));
          }

          &:hover {
            color: rgb(var(--color1));
            background-color: transparent;
          }
        }

        &>h3.Title {
          padding: 0px 0 .2em 50px;
          font-family: var(--hp-bloq-family);
          font-weight: var(--hp-bloq-weight);
          font-size: var(--hp-bloq-font-size);
          text-transform: var(--hp-bloq-text-transform);
          color: rgb(var(--hp-bloq-color));
          letter-spacing: var(--hp-bloq-letter-spacing);
          line-height: 1.2em;

          &>span {
            font-family: var(--hp-bloq-span-family);
            font-weight: var(--hp-bloq-span-weight);
            font-size: var(--hp-bloq-span-font-size);
            text-transform: var(--hp-bloq-span-text-transform);
            color: rgb(var(--hp-bloq-span-color));
            letter-spacing: var(--hp-bloq-span-letter-spacing);
            line-height: 1;
          }

        }

        &>.ItemContent {
          padding-left: 50px;
        }

        &>.LinkWrapper {
          padding: 10px 20px 10px 50px;
        }

        .ItemImage {
          width: 40%;

          &>.ItemBefore {
            border-radius: 50%;
          }
        }

        &::before {
          content: '';
          position: absolute;
          top: -10px;
          right: min(calc((100vw + 60px - var(--welcome-max-width)) * -0.5), -60px);
          width: 160px;
          height: 160px;
          background-image: var(--Welcome4);
          background-position: 0% 50%;
          background-size: contain;
          background-repeat: no-repeat;
        }
      }

      &::before {
        content: '';
        position: absolute;
        top: 212px;
        right: 15px;
        width: 120px;
        height: 120px;
        background-image: var(--Welcome5);
        background-position: 0% 50%;
        background-size: contain;
        background-repeat: no-repeat;
      }

      &::after {
        content: '';
        position: absolute;
        top: 390px;
        right: -38px;
        width: 140px;
        height: 140px;
        background-image: var(--Welcome6);
        background-position: 0% 50%;
        background-size: contain;
        background-repeat: no-repeat;
      }
    }

    &::before {
      content: '';
      position: absolute;
      top: 380px;
      left: -19px;
      width: 160px;
      height: 160px;
      background-image: var(--Welcome3);
      background-position: 0% 50%;
      background-size: contain;
      background-repeat: no-repeat;
    }
  }

  &::before {
    content: '';
    position: absolute;
    top: 0;
    left: -21px;
    width: 160px;
    height: 190px;
    background-image: var(--Welcome1);
    background-position: 0% 50%;
    background-size: contain;
    background-repeat: no-repeat;
  }

  &::after {
    content: '';
    position: absolute;
    top: 210px;
    left: 52px;
    width: 120px;
    height: 125px;
    background-image: var(--Welcome2);
    background-position: 0% 50%;
    background-size: contain;
    background-repeat: no-repeat;
  }
}

section.homewelcome div.Welcome>div.WelcomeFlex input:checked+label {
  color: rgb(var(--color1));
  background-color: transparent;
}

/* NEWSLETTERS LINK*/
body section.homenewsletterslink {
  z-index: 1;
  margin-bottom: -205px;
  margin-top: 70px;
  margin-right: 55px;

  &>div.Grid .Item {
    position: absolute;
    width: 280px;
    height: 280px;
    top: -105px;
    right: 0px;
    border-radius: 50%;
    background-color: rgb(var(--color3));
    transition: 0.2s;

    &>.ItemBefore img.ItemImage {
      position: absolute;
      top: 12px;
      left: 12px;
      width: calc(100% - 24px);
      height: calc(100% - 24px);
      background-size: contain;
      background-position: 50% 50%;
      background-repeat: no-repeat;
      background-color: transparent;
    }

    &>.ItemInner {
      background-color: transparent !important;

      &>h3.Title {
        display: none;
      }

      &>.ItemIcon {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-size: contain;
        background-position: 50% 50%;
        background-repeat: no-repeat;
        background-image: var(--newslettersicon);
        background-color: transparent;
        width: 130px;
        height: 130px;

        &::before {
          display: none;
        }
      }
    }

    &:hover {
      background-color: rgb(var(--color5));
    }
  }
}

/* HOME EVENTS */
body section.mod_balloon_slider.homeevents {
  --SliderItemMinWidth: 240px;
  --SliderGridGap: 50px;
  padding: 100px 20px 285px 20px !important;
  background-color: rgb(var(--color1));

  &>h2.bloqTitle {
    max-width: 1170px;
    margin: 0 auto 75px auto;
    width: 100%;
    color: white;

    &>span {
      color: rgb(var(--color3));
    }
  }

  &>.filterSourceSideBySideButtons {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 120px;
    max-width: 1170px;

    &>.sourceButtonWrapper {
      margin: 0;

      .calendarPageLink {
        padding: var(--button-padding);
        height: auto;
        font-size: var(--button-font-size);
        color: white;
        border-color: white;
        background-color: transparent;

        &:hover {
          background-color: white;
          color: rgb(var(--color1));
        }
      }
    }
  }

  &>div.Slider {
    max-width: 1220px;

    &>.nav {
      color: white;
      border-color: white;
      background-color: transparent;

      &:hover {
        background-color: white;
        color: rgb(var(--color1));
      }

      &.last {
        left: 255px;
        top: auto;
        bottom: -160px;
      }

      &.next {
        left: 319px;
        top: auto;
        bottom: -160px;
      }
    }

    &>.SliderInner>ul>li .Item .ItemInner {
      &>.ItemDate {
        background-color: transparent;
        display: flex;
        left: 75px;
        top: 0;
        color: white;
        width: fit-content;
        height: fit-content;
        border-radius: 0;
        padding: 0;
        gap: 6px;

        &>d {
          font-size: 29px !important;
          line-height: 29px !important;
        }
      }

      &>.Title {
        font-size: 15px;
        position: absolute;
        left: 75px;
        top: 45px;
        font-weight: 600;
        text-transform: none;
        color: white;
      }

      &>.ItemContent .paracontent {

        &>.tags,
        &>.location {
          display: none;
        }

        &>.cardBottomLinks a:last-child {
          padding: 8px 18px;
          left: 75px;
          color: white;
          border-color: white;
          background-color: transparent;

          &:hover {
            background-color: rgb(var(--color5));
            border-color: rgb(var(--color5));
            color: white;

            &::before {
              background-color: rgb(var(--color5));
            }
          }

          &::before {
            content: '';
            position: absolute;
            width: 30px;
            height: 30px;
            border-radius: 50%;
            left: -51px;
            top: -134px;
            background-color: rgb(var(--color3));
            transition: 0.3s;
          }

          &::after {
            font-size: 10px;
          }
        }
      }

      &::before {
        top: 30px;
        height: 123px;
        border-radius: 0 0 0 11px;
        border-color: white;
        width: 35px;
      }
    }
  }
}

/* HOUSE POINTS */
body section.homehousepoints {
  z-index: 1;
  padding-top: 105px !important;

  &>h2.bloqTitle {
    max-width: 1100px;
    margin: 0 auto;
    margin: 0px auto 75px auto;
  }

  &>div.StatTextOnly>ul {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin: 0 auto;
    max-width: 1100px;
    flex-wrap: wrap;
    gap: 30px;


    &>li {
      flex: 1 1 auto;
      max-width: 220px;

      &>.statistic {
        &>.StatText {
          margin-top: 21px;

          &>.StatTitle {
            text-transform: none;
            font-size: 32px;
          }

          &>.AnimationWrapper .StatFigure {
            color: var(--stat-color);
            font-size: 47px;
            padding-top: 3px;
            border-top: 1px solid var(--stat-color);
          }
        }

        .StatImage:not(:empty) {
          width: 220px;
          height: 220px;

          &>img {
            object-fit: contain;
            width: 100%;
            height: 100%;
            object-position: 50% 0%;
          }
        }
      }
    }

    &>li:nth-child(even) {
      &>.statistic {
        &>.StatText {
          margin-top: 11px;
        }

        &>.StatImage:not(:empty) {
          height: 230px;
        }
      }
    }

    &>li:nth-child(3) {
      &>.statistic .StatImage:not(:empty) {
        position: relative;
        bottom: 31px;
      }
    }
  }

  &::before {
    content: '';
    position: absolute;
    width: min(50vw, 700px);
    height: 380px;
    background-image: var(--HousePointsImage);
    background-size: cover;
    background-position: 50% 50%;
    right: 0;
    top: -190px;
    border-radius: 200px 0 0 200px;
  }
}

/* HOME QUOTES */
body section.mod_lefttabs_welcome.homequotes {
  padding: 100px 20px 0 20px !important;
  margin-top: 20px !important;
  background-color: rgb(var(--color9));

  &>h2.bloqTitle {
    text-align: center;
    margin-bottom: 0;
  }

  div.Welcome>div.WelcomeFlex {
    max-width: 1300px;
    flex-direction: column;
    align-content: flex-end;
    justify-content: flex-start;
    padding: 160px 120px 50px 20px;

    &>label {
      left: 20px;
      transform: translateX(0);
      width: fit-content;
      background-color: transparent;
      padding: 8px 17px;
      font-size: calc(var(--fs2) - 5px);
      font-weight: 600;
      color: rgb(var(--color1));
      letter-spacing: 0.05em;
      border-radius: 10px;
      transition: 0.3s;
      top: calc(var(--n) * 2.6em);

      &:hover {
        background-color: rgb(var(--color5));
        color: white;
      }
    }

    &>input {
      top: 160px;

      &:checked+label {
        background-color: rgb(var(--color5));
        color: white;
      }
    }

    &>h3.Title {
      max-width: 575px;
      position: relative;
      font-family: var(--font-normal);
      font-size: calc(var(--fs2) - 5px);
      font-weight: 600;
      color: white;
    }

    &>.ItemContent {
      max-width: 575px;
      position: relative;

      &>.paracontent {
        color: white;
      }
    }

    &>.LinkWrapper {
      max-width: 575px;
      position: relative;
      padding: 33px 0 10px 0;

      &>a.buttonstyle {
        border: 1px solid white;
        background-color: transparent;

        &:hover {
          background-color: white;
          color: rgb(var(--color5));
        }
      }
    }

    &>.ItemImage {
      width: 262px;
      top: -80px;

      &>.ItemBefore {
        position: relative;
        top: 0;
      }
    }

    &::before {
      content: '';
      position: absolute;
      width: 665px;
      height: calc(100% - 85px);
      border-radius: 17px 17px 0 0;
      bottom: 0;
      right: 100px;
      background-color: rgb(var(--color5));
    }
  }
}

@media only screen and (max-width: 1300px) {
  body .welcomewrapper {
    &>section.homewelcome {
      &>div.Welcome {
        &>div.WelcomeFlex {
          &::before {
            display: none;
          }
        }

        &::before,
        &::after {
          display: none;
        }
      }

      &::before {
        display: none;
      }
    }

    &::before,
    &::after {
      display: none;
    }
  }

  body section.mod_lefttabs_welcome.homequotes {
    & div.Welcome>div.WelcomeFlex {
      padding: 180px 0px 50px 0px;

      &>.ItemImage {
        width: 132px;
        height: 132px;
        top: 20px;
        right: auto;
        left: 20px;
        position: absolute;
        min-width: 1px !important;
      }

      &>label {
        position: relative;
        font-size: 20px;
        top: 0 !important;
        left: 0 !important;
        transform: translate(0, 0) !important;
        flex: 0 1 auto;
        margin-bottom: 1em;
        order: -3;
      }

      &::before {
        display: none;
      }

      &>h3.Title {
        max-width: none;
        color: rgb(var(--color1));
      }

      &>.ItemContent {
        max-width: none;
        &>.paracontent{
          color: rgb(var(--grey1));
        }
        
      }

      &>.LinkWrapper {
        max-width: none;
        &>a.buttonstyle{
          color: rgb(var(--color1));
          border-color: rgb(var(--color1));
          &:hover{
            background-color: rgb(var(--color1));
            color: white;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 900px) {
  body section.homenewsletterslink {
    margin-right: 20px;

    &>div.Grid .Item {
      width: 150px;
      height: 150px;

      &>.ItemInner .ItemIcon {
        width: 50px;
        height: 50px;
      }
    }
  }
}

@media only screen and (max-width: 800px) {
  body .taglineoverlay {
    padding: 0 20px 10vh 20px;
    &>.fixed{
      padding: 0;
      font-size: calc(var(--fs4) + -4px);
    }
    &>.taglines .tagline{
      padding: 0;
    }
  }

  body section.quicklinks {
    padding: 35px 35px 60px 35px !important;
  }

  body section.mod_balloon_slider.homeevents {
    &>h2.bloqTitle{
      font-size: 30px;
      margin-bottom: 60px;
      margin-top: 20px;
      &>span{
        font-size: 16px;
      }
    }
    &>.filterSourceSideBySideButtons {
      bottom: 70px;
      left: 20px;
      transform: translateX(0);
    }

    &>div.Slider {
      &>.nav {

        &.last {
          left: 36px;
          top: auto;
          bottom: -103px;
        }

        &.next {
          left: 102px;
          top: auto;
          bottom: -103px;
        }
      }
    }
  }

  body section.homehousepoints {
    padding-top: 65px !important;
    padding-bottom: 50px !important;
    &>h2.bloqTitle{
      margin: 0px auto 45px auto;
    }
    &>div.StatTextOnly>ul {
      flex-direction: column;
      align-items: center;

      &>li:nth-child(even) {
        &>.statistic {
          &>.StatText {
            margin-top: 21px;
          }

        }
      }

      &>li:nth-child(3) {
        &>.statistic .StatImage:not(:empty) {
          bottom: 0;
        }
      }
    }

    &::before {
      display: none;
    }
  }
}

@media only screen and (max-width: 600px) {
  body .welcomewrapper {
    & section.homewelcome {
      & div.Welcome {
        div.WelcomeFlex {
          padding: 0 20px !important;

          &>label {
            &:nth-child(2) {
              margin-left: 0px;
            }
          }

          &>.ItemImage {
            display: none;
          }

          &>h3.Title {
            padding-left: 0;
          }

          &>.ItemContent {
            padding-left: 0;
          }

          &>.LinkWrapper {
            padding-left: 0;
          }
        }
      }
    }
  }
}